Subject: Re: [AAA-WG]: Issue 264: User-Name in Answer messages

From: David Spence <[email-masked]>
Date: Tue, 26 Feb 2002 14:53:56 -0500

In order to maintain consistency with RADIUS, I do not support MUST.  RFC
2865 states that the User-Name attribute MAY be sent in an Access-Accept
packet.  If I say that the User-Name AVP MUST pe present in a Diameter
AA-Answer message, then I will make life difficult for gateway
implementors.  If a gateway receives a RADIUS Access-Accept message that
does not contain a User-Name attribute and generates a Diameter AA-Answer
message, it would have to go back and sift through the Access-Request to
find the User-Name.  So I vote for MAY.

It also appears that Tony missed the thread and edited a MAY into the MIP
draft per the original request.  See: 

     http://www.merit.edu/mail.archives/aaa-wg/2002-01/msg00090.html

David S.

Bob Kopacz wrote:
> 
> Hi,
> 
> >
> > >Since it is natural and harmless for an implementation to echo back
> > >the User-Name, allow but do not require the User-Name AVP to appear in
> > >Answer messages, if present in the Request.
> >
> > I agree with this issue.
> >
> > Maybe we could give less room for interpretation in the
> > text though. I propose "MUST echo back User-Name AVP if present
> > in the Request".
> 
> Sure, this is fine.  I'm mainly after consistency.
> 
> > Jari
> >
> 
> Bob K.